/*
 File: la_lrk_T.cpp
 Date and Time: Fri Jan 30 18:55:14 2015 
*/
#include "la_lrk_T.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_la_lrk_T;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 1;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
}
  Cla_lrk_T::
  Cla_lrk_T()
    :yacco2::CAbs_fsm
      ("la_lrk_T.lex"
      ,"1.0"
      ,"17 Juin 2003"
      ,false
      ,"Unquoted lookahead source symbol recognizer."
      ,"Fri Jan 30 18:55:14 2015 "
      ,S1_Cla_lrk_T){
    
  }
 
Cla_lrk_T::~Cla_lrk_T(){

  for(int x = 0;x < 1;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Cla_lrk_T::failed(){
      return false;
  }
  void Cla_lrk_T::op(){
}
int Cla_lrk_T::rhs_to_rules_mapping_[16] = {
 -1
 ,0 // subrule 1 for rule 1
 ,0 // subrule 2 for rule 1
 ,0 // subrule 3 for rule 1
 ,0 // subrule 4 for rule 1
 ,0 // subrule 5 for rule 1
 ,0 // subrule 6 for rule 1
 ,0 // subrule 7 for rule 1
 ,0 // subrule 8 for rule 1
 ,0 // subrule 9 for rule 1
 ,0 // subrule 10 for rule 1
 ,0 // subrule 11 for rule 1
 ,0 // subrule 12 for rule 1
 ,0 // subrule 13 for rule 1
 ,0 // subrule 14 for rule 1
 ,0 // subrule 15 for rule 1
}; 
Rla_lrk_T::Rla_lrk_T(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rla_lrk_T",0,Cla_lrk_T::R_Rla_lrk_T_,P,false,false){
}

void Rla_lrk_T::sr1(){
  
    CAbs_lr1_sym* sym = new LR1_parallel_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr2(){
  
    CAbs_lr1_sym* sym = new LR1_parallel_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr3(){
  
    CAbs_lr1_sym* sym = new LR1_parallel_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr4(){
  
    CAbs_lr1_sym* sym = new LR1_all_shift_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr5(){
  
    CAbs_lr1_sym* sym = new LR1_all_shift_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr6(){
  
    CAbs_lr1_sym* sym = new LR1_all_shift_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr7(){
  
    CAbs_lr1_sym* sym = new LR1_invisible_shift_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr8(){
  
    CAbs_lr1_sym* sym = new LR1_invisible_shift_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr9(){
  
    CAbs_lr1_sym* sym = new LR1_invisible_shift_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr10(){
  
    CAbs_lr1_sym* sym = new LR1_reduce_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr11(){
  
    CAbs_lr1_sym* sym = new LR1_reduce_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr12(){
  
    CAbs_lr1_sym* sym = new LR1_reduce_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr13(){
  
    CAbs_lr1_sym* sym = new LR1_fset_transience_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr14(){
  
    CAbs_lr1_sym* sym = new LR1_fset_transience_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

void Rla_lrk_T::sr15(){
  
    CAbs_lr1_sym* sym = new LR1_fset_transience_operator;
	sym->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
	RSVP(sym);
  
}

